import 'package:flutter/cupertino.dart';

class PharmacyPagesViewModel with ChangeNotifier {
  int currentTab = 0;
  PageController? pageController;

  PharmacyPagesViewModel() {
    pageController = PageController(keepPage: true);
  }
  changeCurrentTab(int tab) {
    if (pageController!.hasClients) {
      currentTab = tab;
      pageController!.jumpToPage(tab);
      notifyListeners();
    }
  }
}
